Bug 1134852 - Review Request: python-XStatic-Jasmine - Jasmine (XStatic packaging standard)
Summary: Review Request: python-XStatic-Jasmine - Jasmine (XStatic packaging standard)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1134565
TreeView+ depends on / blocked
 
Reported: 2014-08-28 10:58 UTC by Matthias Runge
Modified: 2014-09-27 18:46 UTC (History)
2 users (show)

Fixed In Version: python-XStatic-Jasmine-1.3.1.1-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 10:02:43 UTC
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2014-08-28 10:58:17 UTC
Spec URL: http://www.matthias-runge.de/fedora/python-XStatic-Jasmine.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-XStatic-Jasmine-1.3.1.1-1.fc20.src.rpm
Description: Jasmine JavaScript library packaged for
setuptools (easy_install) / pip.

This package is intended to be used by
**any** project that needs these files.

It intentionally does **not** provide
any extra code except some metadata
**nor** has any extra requirements. You MAY
use some minimal support code from
the XStatic base package, if you like.

Fedora Account System Username: mrunge

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7474016

Comment 2 Haïkel Guémar 2014-09-07 08:55:38 UTC
As for the other XStatic packages, don't forget to request upstream to include the license file.
Since this packages complies with Fedora packaging guidelines, I hereby approve it into Fedora Packages Collection. Please submit a scm request.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/haikel/1134852-python-XStatic-
     Jasmine/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python2.7/site-packages/xstatic/pkg
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python2.7/site-
     packages/xstatic/pkg
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-XStatic-Jasmine-1.3.1.1-2.fc22.noarch.rpm
          python-XStatic-Jasmine-1.3.1.1-2.fc22.src.rpm
python-XStatic-Jasmine.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, footstools
python-XStatic-Jasmine.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
python-XStatic-Jasmine.src: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, footstools
python-XStatic-Jasmine.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-XStatic-Jasmine
python-XStatic-Jasmine.noarch: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, footstools
python-XStatic-Jasmine.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-XStatic-Jasmine (rpmlib, GLIBC filtered):
    python(abi)
    python-XStatic
    web-assets-filesystem



Provides
--------
python-XStatic-Jasmine:
    python-XStatic-Jasmine



Source checksums
----------------
https://pypi.python.org/packages/source/X/XStatic-Jasmine/XStatic-Jasmine-1.3.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : b9a8f8f0bf51ebdf7118c598c2e62b10ad9e1326858dbb61a07b3711b9491465
  CHECKSUM(SHA256) upstream package : b9a8f8f0bf51ebdf7118c598c2e62b10ad9e1326858dbb61a07b3711b9491465

Comment 3 Matthias Runge 2014-09-09 11:20:39 UTC
New Package SCM Request
=======================
Package Name: python-XStatic-Jasmine
Short Description: Jasmine (XStatic packaging standard)
Upstream URL: http://jasmine.github.io/
Owners: mrunge
Branches: f20 f21 epel7

Comment 4 Gwyn Ciesla 2014-09-09 11:52:31 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-09-10 08:08:26 UTC
python-XStatic-Jasmine-1.3.1.1-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-XStatic-Jasmine-1.3.1.1-2.el7

Comment 6 Fedora Update System 2014-09-10 08:22:19 UTC
python-XStatic-Jasmine-1.3.1.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-XStatic-Jasmine-1.3.1.1-2.fc20

Comment 7 Fedora Update System 2014-09-10 08:26:49 UTC
python-XStatic-Jasmine-1.3.1.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-XStatic-Jasmine-1.3.1.1-2.fc21

Comment 8 Fedora Update System 2014-09-10 16:42:11 UTC
python-XStatic-Jasmine-1.3.1.1-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 9 Fedora Update System 2014-09-19 10:02:43 UTC
python-XStatic-Jasmine-1.3.1.1-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-09-23 05:07:12 UTC
python-XStatic-Jasmine-1.3.1.1-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 11 Fedora Update System 2014-09-27 18:46:02 UTC
python-XStatic-Jasmine-1.3.1.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.